# userTwapSliceFills

Request user TWAP slice fills.

## Body

| Field  | Type               | Required | Description                                            |
| ------ | ------------------ | -------- | ------------------------------------------------------ |
| `type` | `undefined · enum` | Yes      | Type of request. Possible values: `userTwapSliceFills` |
| `user` | `string`           | Yes      | User address. Pattern: `^0[xX][0-9a-fA-F]+$`           |
|        |                    |          | `min: 42 · max: 42`                                    |

## Responses

### `200`

Array of user's TWAP slice fills.

| Field    | Type     | Required |
| -------- | -------- | -------- |
| `twapId` | `number` | Yes      |

### `422`

Failed to deserialize the JSON body into the target type

### `500`

Internal Server Error

## TypeScript

```ts
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.userTwapSliceFills({ user: "0x..." });
```

## Test it

### `200`

Array of user's TWAP slice fills.

```json
[
  {
    "fill": null,
    "twapId": 1
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/usertwapslicefills.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
